interface=lo
interface=br-ex

##### DNS
log-queries=extra

port=53
# Never forward plain names (without a dot or domain part)
domain-needed
# Never forward addresses in the non-routed address spaces.
bogus-priv
filterwin2k
# Do not care about resolv.conf
no-resolv
no-poll
expand-hosts
local-ttl=0
no-negcache
# Clear cache on reload
clear-on-reload
# This "rack"
domain=r1.example.com
# Another "racks"
#server=/r2.example.com/100.73.2.1
#server=/r3.example.com/100.73.4.1
# Request uplink servers in the specified order
#strict-order
server=1.1.1.1
server=8.8.8.8

##### DHCP
dhcp-leasefile=/etc/dnsmasq.d/var/dnsmasq.leases
log-dhcp

dhcp-range=br-ex,100.73.0.2,100.73.0.254
dhcp-range=br-ex,2a01:xxxx:xxxx:xxxx:1715::1,2a01:xxxx:xxxx:xxxx:1715::254,80
enable-ra
dhcp-authoritative

